---
schema_version: "1"
id: bccdf8c507ee2e6e4c23b611f2780f7cb16c3f91e2e986b875f9db94c9d85257
title: TMF674 v4 Geographic Site (Outbound)
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/comms/references/generated-api-specs/tmf674.md
canonical_url: https://developer.salesforce.com/docs/industries/communications/references/tmf674
source_site: developer.salesforce.com
content_type: documentation
content_hash: 8749c183e4df9a30d5835dcba1dba30be381b10cce889e282bef54de0d0b8491
products:
  - Communications Cloud TM Forum API
  - Industries Integrations
---
TMF674 v4 Geographic Site (Outbound)

# TMF674 v4 Geographic Site (Outbound)

This API covers the operations to manage (create, read) sites associated with a customer, an account, a service delivery or other entities.

Protocols: https.

## Security

*   `clientIdEnforcement` (x-client-id-enforcement) Apply Client ID Enforcement policy to resource methods for authenticating API requests
    *   Header client\_id: Client Id to be passed for authenticating the API
    *   Header client\_secret: Client Secret to be passed for authenticating the API

## Operations

### GET List Geographic Sites

`GET /geographicSite`

Security: clientIdEnforcement.

List or find GeographicSite objects.

#### Parameters

*   `fields` (query, string)
*   `offset` (query, string)
*   `limit` (query, string)
*   `sort` (query, string)

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `id` (_string_)  
        Example: `sd65-8874`.
    *   `href` (_string_)  
        Example: `https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874`.
    *   `code` (_string_)  
        Example: `Warehouse`.
    *   `description` (_string_)  
        Example: `Warehouse in Marseille`.
    *   `name` (_string_)  
        Example: `Marseille Warehouse`.
    *   `status` (_string_)  
        Example: `active`.
    *   `calendar` (_array of object_, required)
        *   `day` (_string_)  
            Example: `weeekdays`.
        *   `status` (_string_)  
            Example: `open`.
        *   `timeZone` (_string_)  
            Example: `GMT+1`.
        *   `hourPeriod` (_array of object_, required)
            *   `endHour` (_string_)  
                Example: `16:30 pm`.
            *   `startHour` (_string_)  
                Example: `6:30 am`.
            *   `@type` (_string_)  
                Example: `HourPeriod`.
        *   `@type` (_string_)  
            Example: `Calendar`.
    *   `place` (_array of object_, required)
        *   `id` (_string_)  
            Example: `9912`.
        *   `href` (_string_)  
            Example: `https://host:port/geographicAddressManagement/v4/geographicAddress/9912`.
        *   `@type` (_string_)  
            Example: `PlaceRef`.
        *   `@referredType` (_string_)  
            Example: `GeographicAddress`.
    *   `relatedParty` (_array of object_, required)
        *   `id` (_string_)  
            Example: `45`.
        *   `href` (_string_)  
            Example: `https://host:port/partyManagement/v4/individual/45`.
        *   `name` (_string_)  
            Example: `Jean Pontus`.
        *   `role` (_string_)  
            Example: `Warehouse manager`.
        *   `@referredType` (_string_)  
            Example: `Individual`.
    *   `siteRelationship` (_array of object_, required)
        *   `id` (_string_)  
            Example: `4589-jj65`.
        *   `href` (_string_)  
            Example: `string`.
        *   `relationshipType` (_string_)  
            Example: `support`.
        *   `role` (_string_)  
            Example: `support site in case of stock shortage`.
        *   `validFor` (_object_, required)
            *   `endDateTime` (_datetime_)  
                Example: `2019-01-02T09:33:35.749Z`.
            *   `startDateTime` (_datetime_)  
                Example: `2023-12-31T09:33:35.749Z`.
        *   `@type` (_string_)  
            Example: `SiteRelationship`.
    *   `@type` (_string_)  
        Example: `GeographicSite`.
    
    _Example_
    
    ```
    {
      "id": "sd65-8874",
      "href": "https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874",
      "code": "Warehouse",
      "description": "Warehouse in Marseille",
      "name": "Marseille Warehouse",
      "status": "active",
      "calendar": [
        {
          "day": "weeekdays",
          "status": "open",
          "timeZone": "GMT+1",
          "hourPeriod": [
            {
              "endHour": "16:30 pm",
              "startHour": "6:30 am",
              "@type": "HourPeriod"
            }
          ],
          "@type": "Calendar"
        }
      ],
      "place": [
        {
          "id": "9912",
          "href": "https://host:port/geographicAddressManagement/v4/geographicAddress/9912",
          "@type": "PlaceRef",
          "@referredType": "GeographicAddress"
        }
      ],
      "relatedParty": [
        {
          "id": "45",
          "href": "https://host:port/partyManagement/v4/individual/45",
          "name": "Jean Pontus",
          "role": "Warehouse manager",
          "@referredType": "Individual"
        }
      ],
      "siteRelationship": [
        {
          "id": "4589-jj65",
          "href": "string",
          "relationshipType": "support",
          "role": "support site in case of stock shortage",
          "validFor": {
            "endDateTime": "2019-01-02T09:33:35.749Z",
            "startDateTime": "2023-12-31T09:33:35.749Z"
          },
          "@type": "SiteRelationship"
        }
      ],
      "@type": "GeographicSite"
    }
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    

### POST Create Geographic Site

`POST /geographicSite`

Security: clientIdEnforcement.

Creates a GeographicSite.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `id` (_string_)  
    Example: `a3oKj0000019VGeIAM`.

_Example_

```
{
  "id" : "a3oKj0000019VGeIAM"
}
```

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `id` (_string_)  
        Example: `sd65-8874`.
    *   `href` (_string_)  
        Example: `https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874`.
    *   `code` (_string_)  
        Example: `Warehouse`.
    *   `description` (_string_)  
        Example: `Warehouse in Marseille`.
    *   `name` (_string_)  
        Example: `Marseille Warehouse`.
    *   `status` (_string_)  
        Example: `active`.
    *   `calendar` (_array of object_, required)
        *   `day` (_string_)  
            Example: `weeekdays`.
        *   `status` (_string_)  
            Example: `open`.
        *   `timeZone` (_string_)  
            Example: `GMT+1`.
        *   `hourPeriod` (_array of object_, required)
            *   `endHour` (_string_)  
                Example: `16:30 pm`.
            *   `startHour` (_string_)  
                Example: `6:30 am`.
            *   `@type` (_string_)  
                Example: `HourPeriod`.
        *   `@type` (_string_)  
            Example: `Calendar`.
    *   `place` (_array of object_, required)
        *   `id` (_string_)  
            Example: `9912`.
        *   `href` (_string_)  
            Example: `https://host:port/geographicAddressManagement/v4/geographicAddress/9912`.
        *   `@type` (_string_)  
            Example: `PlaceRef`.
        *   `@referredType` (_string_)  
            Example: `GeographicAddress`.
    *   `relatedParty` (_array of object_, required)
        *   `id` (_string_)  
            Example: `45`.
        *   `href` (_string_)  
            Example: `https://host:port/partyManagement/v4/individual/45`.
        *   `name` (_string_)  
            Example: `Jean Pontus`.
        *   `role` (_string_)  
            Example: `Warehouse manager`.
        *   `@referredType` (_string_)  
            Example: `Individual`.
    *   `siteRelationship` (_array of object_, required)
        *   `id` (_string_)  
            Example: `4589-jj65`.
        *   `href` (_string_)  
            Example: `string`.
        *   `relationshipType` (_string_)  
            Example: `support`.
        *   `role` (_string_)  
            Example: `support site in case of stock shortage`.
        *   `validFor` (_object_, required)
            *   `endDateTime` (_datetime_)  
                Example: `2019-01-02T09:33:35.749Z`.
            *   `startDateTime` (_datetime_)  
                Example: `2023-12-31T09:33:35.749Z`.
        *   `@type` (_string_)  
            Example: `SiteRelationship`.
    *   `@type` (_string_)  
        Example: `GeographicSite`.
    
    _Example_
    
    ```
    {
      "id": "sd65-8874",
      "href": "https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874",
      "code": "Warehouse",
      "description": "Warehouse in Marseille",
      "name": "Marseille Warehouse",
      "status": "active",
      "calendar": [
        {
          "day": "weeekdays",
          "status": "open",
          "timeZone": "GMT+1",
          "hourPeriod": [
            {
              "endHour": "16:30 pm",
              "startHour": "6:30 am",
              "@type": "HourPeriod"
            }
          ],
          "@type": "Calendar"
        }
      ],
      "place": [
        {
          "id": "9912",
          "href": "https://host:port/geographicAddressManagement/v4/geographicAddress/9912",
          "@type": "PlaceRef",
          "@referredType": "GeographicAddress"
        }
      ],
      "relatedParty": [
        {
          "id": "45",
          "href": "https://host:port/partyManagement/v4/individual/45",
          "name": "Jean Pontus",
          "role": "Warehouse manager",
          "@referredType": "Individual"
        }
      ],
      "siteRelationship": [
        {
          "id": "4589-jj65",
          "href": "string",
          "relationshipType": "support",
          "role": "support site in case of stock shortage",
          "validFor": {
            "endDateTime": "2019-01-02T09:33:35.749Z",
            "startDateTime": "2023-12-31T09:33:35.749Z"
          },
          "@type": "SiteRelationship"
        }
      ],
      "@type": "GeographicSite"
    }
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    

### GET Get Geographic Site by ID

`GET /geographicSite/{id}`

Security: clientIdEnforcement.

This operation retrieves a GeographicSite entity. Attribute selection enabled for all first level attributes.

#### Parameters

*   `id` (path, string, required)
*   `fields` (query, string)
*   `offset` (query, string)
*   `limit` (query, string)

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `id` (_string_)  
        Example: `sd65-8874`.
    *   `href` (_string_)  
        Example: `https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874`.
    *   `code` (_string_)  
        Example: `Warehouse`.
    *   `description` (_string_)  
        Example: `Warehouse in Marseille`.
    *   `name` (_string_)  
        Example: `Marseille Warehouse`.
    *   `status` (_string_)  
        Example: `active`.
    *   `calendar` (_array of object_, required)
        *   `day` (_string_)  
            Example: `weeekdays`.
        *   `status` (_string_)  
            Example: `open`.
        *   `timeZone` (_string_)  
            Example: `GMT+1`.
        *   `hourPeriod` (_array of object_, required)
            *   `endHour` (_string_)  
                Example: `16:30 pm`.
            *   `startHour` (_string_)  
                Example: `6:30 am`.
            *   `@type` (_string_)  
                Example: `HourPeriod`.
        *   `@type` (_string_)  
            Example: `Calendar`.
    *   `place` (_array of object_, required)
        *   `id` (_string_)  
            Example: `9912`.
        *   `href` (_string_)  
            Example: `https://host:port/geographicAddressManagement/v4/geographicAddress/9912`.
        *   `@type` (_string_)  
            Example: `PlaceRef`.
        *   `@referredType` (_string_)  
            Example: `GeographicAddress`.
    *   `relatedParty` (_array of object_, required)
        *   `id` (_string_)  
            Example: `45`.
        *   `href` (_string_)  
            Example: `https://host:port/partyManagement/v4/individual/45`.
        *   `name` (_string_)  
            Example: `Jean Pontus`.
        *   `role` (_string_)  
            Example: `Warehouse manager`.
        *   `@referredType` (_string_)  
            Example: `Individual`.
    *   `siteRelationship` (_array of object_, required)
        *   `id` (_string_)  
            Example: `4589-jj65`.
        *   `href` (_string_)  
            Example: `string`.
        *   `relationshipType` (_string_)  
            Example: `support`.
        *   `role` (_string_)  
            Example: `support site in case of stock shortage`.
        *   `validFor` (_object_, required)
            *   `endDateTime` (_datetime_)  
                Example: `2019-01-02T09:33:35.749Z`.
            *   `startDateTime` (_datetime_)  
                Example: `2023-12-31T09:33:35.749Z`.
        *   `@type` (_string_)  
            Example: `SiteRelationship`.
    *   `@type` (_string_)  
        Example: `GeographicSite`.
    
    _Example_
    
    ```
    {
      "id": "sd65-8874",
      "href": "https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874",
      "code": "Warehouse",
      "description": "Warehouse in Marseille",
      "name": "Marseille Warehouse",
      "status": "active",
      "calendar": [
        {
          "day": "weeekdays",
          "status": "open",
          "timeZone": "GMT+1",
          "hourPeriod": [
            {
              "endHour": "16:30 pm",
              "startHour": "6:30 am",
              "@type": "HourPeriod"
            }
          ],
          "@type": "Calendar"
        }
      ],
      "place": [
        {
          "id": "9912",
          "href": "https://host:port/geographicAddressManagement/v4/geographicAddress/9912",
          "@type": "PlaceRef",
          "@referredType": "GeographicAddress"
        }
      ],
      "relatedParty": [
        {
          "id": "45",
          "href": "https://host:port/partyManagement/v4/individual/45",
          "name": "Jean Pontus",
          "role": "Warehouse manager",
          "@referredType": "Individual"
        }
      ],
      "siteRelationship": [
        {
          "id": "4589-jj65",
          "href": "string",
          "relationshipType": "support",
          "role": "support site in case of stock shortage",
          "validFor": {
            "endDateTime": "2019-01-02T09:33:35.749Z",
            "startDateTime": "2023-12-31T09:33:35.749Z"
          },
          "@type": "SiteRelationship"
        }
      ],
      "@type": "GeographicSite"
    }
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```
    

### PATCH Update Geographic Site

`PATCH /geographicSite/{id}`

Security: clientIdEnforcement.

Updates partially a GeographicSite.

#### Parameters

*   `id` (path, string, required)

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `id` (_string_)  
        Example: `sd65-8874`.
    *   `href` (_string_)  
        Example: `https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874`.
    *   `code` (_string_)  
        Example: `Warehouse`.
    *   `description` (_string_)  
        Example: `Warehouse in Marseille`.
    *   `name` (_string_)  
        Example: `Marseille Warehouse`.
    *   `status` (_string_)  
        Example: `active`.
    *   `calendar` (_array of object_, required)
        *   `day` (_string_)  
            Example: `weeekdays`.
        *   `status` (_string_)  
            Example: `open`.
        *   `timeZone` (_string_)  
            Example: `GMT+1`.
        *   `hourPeriod` (_array of object_, required)
            *   `endHour` (_string_)  
                Example: `16:30 pm`.
            *   `startHour` (_string_)  
                Example: `6:30 am`.
            *   `@type` (_string_)  
                Example: `HourPeriod`.
        *   `@type` (_string_)  
            Example: `Calendar`.
    *   `place` (_array of object_, required)
        *   `id` (_string_)  
            Example: `9912`.
        *   `href` (_string_)  
            Example: `https://host:port/geographicAddressManagement/v4/geographicAddress/9912`.
        *   `@type` (_string_)  
            Example: `PlaceRef`.
        *   `@referredType` (_string_)  
            Example: `GeographicAddress`.
    *   `relatedParty` (_array of object_, required)
        *   `id` (_string_)  
            Example: `45`.
        *   `href` (_string_)  
            Example: `https://host:port/partyManagement/v4/individual/45`.
        *   `name` (_string_)  
            Example: `Jean Pontus`.
        *   `role` (_string_)  
            Example: `Warehouse manager`.
        *   `@referredType` (_string_)  
            Example: `Individual`.
    *   `siteRelationship` (_array of object_, required)
        *   `id` (_string_)  
            Example: `4589-jj65`.
        *   `href` (_string_)  
            Example: `string`.
        *   `relationshipType` (_string_)  
            Example: `support`.
        *   `role` (_string_)  
            Example: `support site in case of stock shortage`.
        *   `validFor` (_object_, required)
            *   `endDateTime` (_datetime_)  
                Example: `2019-01-02T09:33:35.749Z`.
            *   `startDateTime` (_datetime_)  
                Example: `2023-12-31T09:33:35.749Z`.
        *   `@type` (_string_)  
            Example: `SiteRelationship`.
    *   `@type` (_string_)  
        Example: `GeographicSite`.
    
    _Example_
    
    ```
    {
      "id": "sd65-8874",
      "href": "https://host:port/geographicSiteManagement/v4/geographicSite/sd65-8874",
      "code": "Warehouse",
      "description": "Warehouse in Marseille",
      "name": "Marseille Warehouse",
      "status": "active",
      "calendar": [
        {
          "day": "weeekdays",
          "status": "open",
          "timeZone": "GMT+1",
          "hourPeriod": [
            {
              "endHour": "16:30 pm",
              "startHour": "6:30 am",
              "@type": "HourPeriod"
            }
          ],
          "@type": "Calendar"
        }
      ],
      "place": [
        {
          "id": "9912",
          "href": "https://host:port/geographicAddressManagement/v4/geographicAddress/9912",
          "@type": "PlaceRef",
          "@referredType": "GeographicAddress"
        }
      ],
      "relatedParty": [
        {
          "id": "45",
          "href": "https://host:port/partyManagement/v4/individual/45",
          "name": "Jean Pontus",
          "role": "Warehouse manager",
          "@referredType": "Individual"
        }
      ],
      "siteRelationship": [
        {
          "id": "4589-jj65",
          "href": "string",
          "relationshipType": "support",
          "role": "support site in case of stock shortage",
          "validFor": {
            "endDateTime": "2019-01-02T09:33:35.749Z",
            "startDateTime": "2023-12-31T09:33:35.749Z"
          },
          "@type": "SiteRelationship"
        }
      ],
      "@type": "GeographicSite"
    }
    ```
    
*   **400** Bad request
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "400",
      "reason": "string",
      "message": "Bad Request",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **401** Unauthorized
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "401",
      "reason": "string",
      "message": "Unauthorized",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **403** Forbidden
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "403",
      "reason": "string",
      "message": "Forbidden",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "404",
      "reason": "string",
      "message": "Not Found",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **405** Method not allowed
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "405",
      "reason": "string",
      "message": "Method Not Allowed",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **500** Internal server error
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "500",
      "reason": "string",
      "message": "Internal Server Error",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **501** Not Implemented
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "501",
      "reason": "string",
      "message": "Not Implemented",
      "status": "string",
      "referenceError": "string"
    }
    ```
    
*   **503** Service Unavailable
    
    Media type: `application/json`. Schema: `any`.
    
    Type: `any`.
    
    _Example_
    
    ```
    {
      "@type": "Error",
      "@baseType": "string",
      "@schemaLocation": "string",
      "code": "503",
      "reason": "string",
      "message": "Service Unavailable",
      "status": "string",
      "referenceError": "string"
    }
    ```